View Issue Details

IDProjectCategoryView StatusLast Update
0004540Talermerchant frontend (donations)public2016-10-11 17:28
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004540: donation frontend should support one backend per receiver
Description... so that donations will show up on the right bank account.
TagsNo tags attached.

Relationships

related to 0004395 closedMarcello Stanisci integrate taler-exchange-aggregator with demo and test deployments 

Activities

Marcello Stanisci

2016-06-21 17:42

manager   ~0010924

Florian, Christian and I agreed on having *one* instance of the backend that has some logic to pick the right bank details when a donation is received. So this implementation will likely have one configuration section per receiver, and the backend will generate a deposit permission according to the receiver, based on those per-receiver configuration sections. Having multiple instances of the backend will literally pollute nginx with port numbers etc.

Marcello Stanisci

2016-06-22 21:02

manager   ~0010925

Last edited: 2016-06-24 17:30

View 17 revisions

Defined iterator for instances in configuration.

Todo:

0 validation of fetched wiredetails (DONE)
0' hashing of fetched wiredetails (DONE)
1 actual picking of requested instance (DONE)
1' merchant's key should be picked in the same fashion (DONE)
2 adapt tracking API (DONE)
2' adapt merchant service api (DONE)
2'' merge with master branch
3 json_decref(..) j_wire's of 'instances' (DONE)
4 ship a coherent default config file (DONE)

Marcello Stanisci

2016-06-27 17:39

manager   ~0010940

fixed in

- 2686790 (backend)
- 9f08809 (frontend)

Issue History

Date Modified Username Field Change
2016-05-26 17:39 Florian Dold New Issue
2016-05-26 17:39 Florian Dold Status new => assigned
2016-05-26 17:39 Florian Dold Assigned To => Marcello Stanisci
2016-05-26 17:42 Florian Dold Relationship added related to 0004395
2016-05-31 09:42 Christian Grothoff Severity minor => feature
2016-05-31 09:42 Christian Grothoff Product Version => 0.0
2016-05-31 09:42 Christian Grothoff Target Version => 0.2
2016-06-21 17:32 Marcello Stanisci Priority normal => high
2016-06-21 17:42 Marcello Stanisci Note Added: 0010924
2016-06-22 21:02 Marcello Stanisci Note Added: 0010925
2016-06-22 21:03 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-22 21:05 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-23 15:24 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-23 15:38 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-23 17:08 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-23 18:00 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-23 18:08 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-23 18:17 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-24 14:22 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-24 14:23 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-24 15:42 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-24 16:38 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-24 16:42 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-24 16:51 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-24 16:54 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-24 17:30 Marcello Stanisci Note Edited: 0010925 View Revisions
2016-06-27 17:39 Marcello Stanisci Note Added: 0010940
2016-06-27 17:39 Marcello Stanisci Status assigned => resolved
2016-06-27 17:39 Marcello Stanisci Resolution open => fixed
2016-07-09 17:17 Christian Grothoff Fixed in Version => 0.1
2016-07-09 17:17 Christian Grothoff Target Version 0.2 => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed